Bug 257920 - Network manager ignores routes with mask 255.255.255.255
Summary: Network manager ignores routes with mask 255.255.255.255
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-25 23:02 UTC by Aliaksandr Stelmachonak
Modified: 2011-05-03 08:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aliaksandr Stelmachonak 2010-11-25 23:02:16 UTC
Version:           0.9 (using KDE 4.5.3) 
OS:                Linux

When adding custom routes to any connection (tested on wireless/pptp vpn), routes with mask 255.255.255.255 are ignored and not created after connection established. All other routes with other masks are in place.

Reproducible: Always

Steps to Reproduce:
1. Create new connection with static ip (custom routes can't be added for DHCP connections - see bug 249016).
2. Navigate to IP Addresses -> Additional Addresses and add new route with 255.255.255.255 mask. 
3. Establish connection and list all routes using route command.
4. Verify if added route missed.

Actual Results:  
Added route missed.

Expected Results:  
Added route should be listed.
Comment 1 Ilia Kats 2011-05-03 08:13:41 UTC
Git commit a941db191eeae182d6f8f1753a076b2166a8f37c by Ilia Kats.
Committed on 02/05/2011 at 16:11.
Pushed by iliakats into branch 'nm09'.

Enable setting of custom routes.

Had to add our own IntValidator, as QIntValidator permits periods
and commas as thousand separator, and we don't want that in
prefix or metric settings.

BUG: 257920
to the reporter: IP != route
(cherry picked from commit b36c20a02808057b713320e204c037c95795574a)

M  +30   -1    backends/NetworkManager/settings/ipv4dbus.cpp     
M  +42   -4    backends/NetworkManager/settings/ipv6dbus.cpp     
M  +1    -1    libs/internals/settings/ipv4persistence.cpp     
M  +1    -1    libs/internals/settings/ipv6persistence.cpp     
M  +10   -1    libs/ui/CMakeLists.txt     
A  +60   -0    libs/ui/delegate.cpp         [License: GPL]
A  +45   -0    libs/ui/delegate.h         [License: GPL]
A  +38   -0    libs/ui/intdelegate.cpp         [License: GPL]
A  +47   -0    libs/ui/intdelegate.h         [License: GPL]
A  +67   -0    libs/ui/intvalidator.cpp         [License: GPL]
A  +42   -0    libs/ui/intvalidator.h         [License: GPL]
M  +9    -22   libs/ui/ipv4.ui     
M  +2    -37   libs/ui/ipv4advancedwidget.cpp     
M  +1    -18   libs/ui/ipv4advancedwidget.h     
A  +39   -0    libs/ui/ipv4delegate.cpp         [License: GPL]
A  +38   -0    libs/ui/ipv4delegate.h         [License: GPL]
A  +173  -0    libs/ui/ipv4routes.ui         [License: UNKNOWN]  *
A  +208  -0    libs/ui/ipv4routeswidget.cpp         [License: GPL]
A  +60   -0    libs/ui/ipv4routeswidget.h         [License: GPL]
M  +7    -4    libs/ui/ipv4widget.cpp     
M  +7    -20   libs/ui/ipv6.ui     
M  +5    -38   libs/ui/ipv6advancedwidget.cpp     
M  +1    -21   libs/ui/ipv6advancedwidget.h     
A  +39   -0    libs/ui/ipv6delegate.cpp         [License: GPL]
A  +40   -0    libs/ui/ipv6delegate.h         [License: GPL]
A  +173  -0    libs/ui/ipv6routes.ui         [License: UNKNOWN]  *
A  +206  -0    libs/ui/ipv6routeswidget.cpp         [License: GPL]
A  +60   -0    libs/ui/ipv6routeswidget.h         [License: GPL]
M  +8    -5    libs/ui/ipv6widget.cpp     

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/networkmanagement/a941db191eeae182d6f8f1753a076b2166a8f37c